<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="model"
            type="com.lukouguoji.module_base.model.PadFilterModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginVertical="5dp"
        android:gravity="center_vertical">

        <TextView
            android:id="@+id/tv"
            completeSpace="@{model.titleLength}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@{model.title}" />

        <com.lukouguoji.module_base.ui.weight.search.layout.PadSearchLayout
            android:id="@+id/psl"
            bgDrawable="@{@drawable/bg_search_row_gray}"
            hint='@{model.hint}'
            list="@{model.list}"
            type="@{model.type}"
            value="@={model.data}"
            setTextAllCaps="@{model.forcedCap}"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp" />

    </LinearLayout>
</layout>